import Button from '@material-ui/core/Button'
import { useI18n } from 'cozy-ui/transpiled/react/providers/I18n'
import React from 'react'
import { useNavigate } from 'react-router-dom'
import './duelError.scss'

const DuelError = () => {
  const { t } = useI18n()
  const navigate = useNavigate()

  return (
    <div className="duel-error-container">
      <div className="duel-error-message">{t('duel.global_error')}</div>
      <div className="duel-error-button">
        <Button
          aria-label={t('duel.accessibility.button_go_back')}
          onClick={() => navigate(-1)}
          className="btnSecondary"
        >
          {t('duel.button_go_back')}
        </Button>
      </div>
    </div>
  )
}

export default DuelError
