import { render, waitFor } from '@testing-library/react'
import { EquipmentType } from 'enums'
import React from 'react'
import EquipmentIcon from './EquipmentIcon'

describe('EcogestureFormSingleChoice component', () => {
  it('should be rendered correctly', async () => {
    const { container } = render(
      <EquipmentIcon equipment={EquipmentType.BOILER} isChecked={false} />
    )
    await waitFor(() => null, { container })
    expect(container).toMatchSnapshot()
  })
  it('should render checked icon', async () => {
    const { container } = render(
      <EquipmentIcon equipment={EquipmentType.BOILER} isChecked={true} />
    )
    await waitFor(() => null, { container })
    expect(container.getElementsByClassName('checked').length).toBeTruthy()
  })
})
