import { render, screen } from '@testing-library/react'
import { userEvent } from '@testing-library/user-event'
import { InitStepsErrors } from 'models/initialisationSteps.model'
import React from 'react'
import SplashScreenError from './SplashScreenError'

describe('SplashScreenError component', () => {
  const reload = window.location.reload

  beforeAll(() => {
    Object.defineProperty(window, 'location', {
      value: { reload: jest.fn() },
    })
  })

  afterAll(() => {
    window.location.reload = reload
  })
  it('should be rendered correctly', () => {
    const { container } = render(
      <SplashScreenError error={InitStepsErrors.CONSENT_ERROR} />
    )
    expect(container).toMatchSnapshot()
  })
  it('should reload the page', async () => {
    render(<SplashScreenError error={InitStepsErrors.CONSENT_ERROR} />)
    await userEvent.click(screen.getByRole('button'))
    expect(window.location.reload).toHaveBeenCalled()
  })
})
