import { CHALLENGE_DOCTYPE } from './com-grandlyon-ecolyo-challenge'
import { DUEL_DOCTYPE } from './com-grandlyon-ecolyo-duel'
import { ECOGESTURE_DOCTYPE } from './com-grandlyon-ecolyo-ecogesture'
import { EXPLORATION_DOCTYPE } from './com-grandlyon-ecolyo-exploration'
import { FLUIDSPRICES_DOCTYPE } from './com-grandlyon-ecolyo-fluidsprices'
import { FORM_DOCTYPE } from './com-grandlyon-ecolyo-form'
import { PROFILE_DOCTYPE } from './com-grandlyon-ecolyo-profile'
import { PROFILEECOGESTURE_DOCTYPE } from './com-grandlyon-ecolyo-profileecogesture'
import { PROFILETYPE_DOCTYPE } from './com-grandlyon-ecolyo-profiletype'
import { QUIZ_DOCTYPE } from './com-grandlyon-ecolyo-quiz'
import { SCHEMAS_DOCTYPE } from './com-grandlyon-ecolyo-schemas'
import { USAGEEVENT_DOCTYPE } from './com-grandlyon-ecolyo-usageevent'
import { USERCHALLENGE_DOCTYPE } from './com-grandlyon-ecolyo-userchallenge'
import { EGL_DAY_DOCTYPE } from './com-grandlyon-egl-day'
import { EGL_MONTH_DOCTYPE } from './com-grandlyon-egl-month'
import { EGL_YEAR_DOCTYPE } from './com-grandlyon-egl-year'
import { ENEDIS_DAY_DOCTYPE } from './com-grandlyon-enedis-day'
import { ENEDIS_MAXPOWER_DOCTYPE } from './com-grandlyon-enedis-maxpower'
import { ENEDIS_MINUTE_DOCTYPE } from './com-grandlyon-enedis-minute'
import { ENEDIS_MONTH_DOCTYPE } from './com-grandlyon-enedis-month'
import { ENEDIS_MONTHLY_ANALYSIS_DATA_DOCTYPE } from './com-grandlyon-enedis-monthly-analysis-data'
import { ENEDIS_YEAR_DOCTYPE } from './com-grandlyon-enedis-year'
import { GRDF_DAY_DOCTYPE } from './com-grandlyon-grdf-day'
import { GRDF_MONTH_DOCTYPE } from './com-grandlyon-grdf-month'
import { GRDF_YEAR_DOCTYPE } from './com-grandlyon-grdf-year'
import { ACCOUNTS_DOCTYPE } from './io-cozy-accounts'
import { JOBS_DOCTYPE } from './io-cozy-jobs'
import { KONNECTORS_DOCTYPE } from './io-cozy-konnectors'
import { TERMS_DOCTYPE } from './io-cozy-terms'

// the documents schema, necessary for CozyClient
const doctypes = {
  enedisyear: {
    doctype: ENEDIS_YEAR_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  enedismonth: {
    doctype: ENEDIS_MONTH_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  enedisday: {
    doctype: ENEDIS_DAY_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  enedisminute: {
    doctype: ENEDIS_MINUTE_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  grdfyear: {
    doctype: GRDF_YEAR_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  grdfmonth: {
    doctype: GRDF_MONTH_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  grdfday: {
    doctype: GRDF_DAY_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  eglyear: {
    doctype: EGL_YEAR_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  eglmonth: {
    doctype: EGL_MONTH_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  eglday: {
    doctype: EGL_DAY_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  konnectors: {
    doctype: KONNECTORS_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  accounts: {
    doctype: ACCOUNTS_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  jobs: {
    doctype: JOBS_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  terms: {
    doctype: TERMS_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  ecogesture: {
    doctype: ECOGESTURE_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  profile: {
    doctype: PROFILE_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  profiletype: {
    doctype: PROFILETYPE_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  challenge: {
    doctype: CHALLENGE_DOCTYPE,
    attributes: {},
    relationships: {
      quiz: {
        doctype: QUIZ_DOCTYPE,
        type: 'has-one',
      },
      duel: {
        doctype: DUEL_DOCTYPE,
        type: 'has-one',
      },
      exploration: {
        doctype: EXPLORATION_DOCTYPE,
        type: 'has-many',
      },
    },
  },
  userchallenge: {
    doctype: USERCHALLENGE_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  duel: {
    doctype: DUEL_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  quiz: {
    doctype: QUIZ_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  exploration: {
    doctype: EXPLORATION_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  usageevents: {
    doctype: USAGEEVENT_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  schemas: {
    doctype: SCHEMAS_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  fluidsPrices: {
    doctype: FLUIDSPRICES_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  enedismonthlyanalysisdata: {
    doctype: ENEDIS_MONTHLY_ANALYSIS_DATA_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  enedismaxpower: {
    doctype: ENEDIS_MAXPOWER_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  profileecogesture: {
    doctype: PROFILEECOGESTURE_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  form: {
    doctype: FORM_DOCTYPE,
    attributes: {},
    relationships: {},
  },
}

export default doctypes

// export all doctypes for the application
export * from './com-grandlyon-ecolyo-challenge'
export * from './com-grandlyon-ecolyo-duel'
export * from './com-grandlyon-ecolyo-ecogesture'
export * from './com-grandlyon-ecolyo-exploration'
export * from './com-grandlyon-ecolyo-fluidsprices'
export * from './com-grandlyon-ecolyo-form'
export * from './com-grandlyon-ecolyo-profile'
export * from './com-grandlyon-ecolyo-profileecogesture'
export * from './com-grandlyon-ecolyo-profiletype'
export * from './com-grandlyon-ecolyo-quiz'
export * from './com-grandlyon-ecolyo-schemas'
export * from './com-grandlyon-ecolyo-usageevent'
export * from './com-grandlyon-ecolyo-userchallenge'
export * from './com-grandlyon-egl-day'
export * from './com-grandlyon-egl-month'
export * from './com-grandlyon-egl-year'
export * from './com-grandlyon-enedis-day'
export * from './com-grandlyon-enedis-maxpower'
export * from './com-grandlyon-enedis-minute'
export * from './com-grandlyon-enedis-month'
export * from './com-grandlyon-enedis-monthly-analysis-data'
export * from './com-grandlyon-enedis-year'
export * from './com-grandlyon-grdf-day'
export * from './com-grandlyon-grdf-month'
export * from './com-grandlyon-grdf-year'
export * from './io-cozy-accounts'
export * from './io-cozy-jobs'
export * from './io-cozy-konnectors'
export * from './io-cozy-terms'
export * from './io-cozy-triggers'
export * from './remote/org.ecolyo.agent'
export * from './remote/org.ecolyo.agent.custom.popup'
export * from './remote/org.ecolyo.agent.partners.info'
export * from './remote/org.ecolyo.agent.prices'
export * from './remote/org.ecolyo.dju'
